The Perl Advent Calendar needs more articles for 2022. Submit your idea today!
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.012.
use strict;
use warnings;

use 5.008009;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Use REAL UUIDs in Test2",
  "AUTHOR" => "Chad Granum <exodist\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Test2-Plugin-UUID",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.008009",
  "NAME" => "Test2::Plugin::UUID",
  "PREREQ_PM" => {
    "Data::UUID" => "1.148",
    "Test2::API" => "1.302165"
  },
  "TEST_REQUIRES" => {
    "Test2::V0" => "0.000124"
  },
  "VERSION" => "0.002001",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Data::UUID" => "1.148",
  "Test2::API" => "1.302165",
  "Test2::V0" => "0.000124"
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);